Name:           ublue-os-media-automount-udev
Vendor:         ublue-os
Version:        0.7
Release:        1.20250319165818429608.pr293.16.gf07ac02%{?dist}
Summary:        udev rules to mount non-removable disk partitions

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages

VCS:            git+https://github.com/ublue-os/packages#f07ac0219c5f3fe30e55c1e478922ae4a0699201:packages/ublue-os-media-automount-udev
Source0:        packages-0.7.tar.gz

BuildArch:      noarch
Supplements:    systemd-udev
BuildRequires:  systemd-rpm-macros

%description
%{summary}

%prep
%setup -T -b 0 -q -n packages-0.7

%build

%install
install -p -Dm0644 ./99-media-automount.rules %{buildroot}%{_udevrulesdir}/99-media-automount.rules
install -p -Dm0755 ./is_in_fstab.sh %{buildroot}%{_libexecdir}/is_in_fstab.sh
install -p -Dm0644 ./media-automount.conf %{buildroot}%{_tmpfilesdir}/media-automount.conf

%check

%files
%{_udevrulesdir}/99-media-automount.rules
%{_libexecdir}/is_in_fstab.sh
%{_tmpfilesdir}/media-automount.conf

%changelog
* Wed Mar 19 2025 Packit <hello@packit.dev> - 0.7-1.20250319165818429608.pr293.16.gf07ac02
- Revert "fix: skip rpkg if not needed" (Zeglius)
- fix: remove unnecesary downstream_package_name key (Zeglius)
- fix: skip rpkg if not needed (Zeglius)
- chore: Only use first Version value from rpmspec (Zeglius)
- chore: use rpmspec to set the version (Zeglius)
- chore: pin fedora targets (Zeglius)
- fix: ANSI code for unbold formatting; \e -> \033 for compatibility. (Daniel Hast)
- chore: reduce matrix to current fedora versions (Zeglius)
- chore: include all 'packages' namespace to packit (Zeglius)
- chore: increased separation in namespace var (Zeglius)
- feat: Add packit configuration (Zeglius)
- Added documentation link after enabling bling (gabs)
- Added documentation link after enabling bling (gabs)

* Wed Mar 12 2025 Zeglius <33781398+Zeglius@users.noreply.github.com> - 0.7
- Add /run/media/media-automount symlink for compatibility

* Wed Mar 12 2025 Zeglius <33781398+Zeglius@users.noreply.github.com> - 0.6
- Add missing mount options to btrfs partitions

* Wed Mar 12 2025 Zeglius <33781398+Zeglius@users.noreply.github.com> - 0.5
- Only mount labeled partitions

* Wed Mar 12 2025 Zeglius <33781398+Zeglius@users.noreply.github.com> - 0.4
- Load rule the latest and fetch UUID with lsblk

* Wed Mar 12 2025 Zeglius <33781398+Zeglius@users.noreply.github.com> - 0.3
- Dont error out in is_in_fstab.sh

* Mon Mar 10 2025 Zeglius <33781398+Zeglius@users.noreply.github.com> - 0.2
- Add missing permissions and use 'exit' instead of 'return' in is_in_fstab.sh

* Wed Mar 05 2025 Zeglius <33781398+Zeglius@users.noreply.github.com> - 0.1
- Initial release
